Bug 1392145 - libreoffice close button appears on the right side in an RTL locale under Wayland
Summary: libreoffice close button appears on the right side in an RTL locale under Way...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-11-05 08:02 UTC by Hedayat Vatankhah
Modified: 2018-03-25 11:50 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.4.6.2-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 18:23:29 UTC


Attachments (Terms of Use)
seems ok for me (104.86 KB, image/png)
2016-11-05 21:00 UTC, Caolan McNamara
no flags Details

Description Hedayat Vatankhah 2016-11-05 08:02:16 UTC
Description of problem:
In an RTL locale, the 'Close' button of applications appear on the left side. However, under Wayland, it doesn't happen for libreoffice (but works for other applications I use). 

Version-Release number of selected component (if applicable):
libreoffice-core-5.2.3.3-2.fc25.x86_64

How reproducible:
100%

Comment 1 Caolan McNamara 2016-11-05 20:53:03 UTC
I doubt its wayland related. Do you mean the little close button *inside* the menubar ?

Comment 2 Caolan McNamara 2016-11-05 21:00:57 UTC
Created attachment 1217630 [details]
seems ok for me

This is what I get with 
export LANG=ar_EG.UTF-8
with libreoffice-langpack-ar installed

Comment 3 Hedayat Vatankhah 2016-11-06 07:20:02 UTC
No, I'm referring to the close button on the title bar. Notice that I *don't* have any RTL langpack installed for libreoffice, so it uses English by itself and the little close button appears on the right, and I'm OK with it. However, the close button on the title bar should appear on the left, like any other application.

Note: it works as I expect under Xorg, so it is somehow related to Wayland.

Comment 4 Caolan McNamara 2016-11-06 18:45:38 UTC
Hmm, it must be the gtk_widget_set_default_direction we use to make gtk match text direction of the UI with the text direction of the UI language in use. This must additionally affect the toplevel window-manager-a-like settings under wayland. Not too sure what to do about that, seeing as if a user does select to use a LibreOffice RTL UI inside a LTR environment we do want to force gtks direction. *perhaps* we can wiggle things around to try and leave the toplevel widget as the system direction or something of that nature. Probably all fragile stuff though.

Comment 5 Hedayat Vatankhah 2016-11-07 06:37:23 UTC
That's correct. I tried running gnome-calculator with LANG=en_US.UTF-8 in an RTL locale, and the close button for it also appeared on the right. So, the close button placement follows application's locale rather than desktop locale... :(

Comment 6 Fedora End Of Life 2017-11-16 19:38:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:40:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Caolan McNamara 2018-03-16 15:36:09 UTC
Tried a few things. Beginning to look like that if we continue to change LANGUAGE etc to the user's ui language then its going to affect the built-in csd titlebar. So one solution is to set our own explicit titlebar of the desired direction

Comment 9 Fedora Update System 2018-03-18 19:00:25 UTC
libreoffice-5.4.6.2-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c6266fcd5

Comment 10 Fedora Update System 2018-03-20 18:23:29 UTC
libreoffice-5.4.6.2-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Hedayat Vatankhah 2018-03-25 11:50:59 UTC
Thanks a lot, it is fixed :)


Note You need to log in before you can comment on or make changes to this bug.